Module java.base
Package java.text.spi

## Class DateFormatSymbolsProvider

- java.lang.Object
- - java.util.spi.LocaleServiceProvider
  - - java.text.spi.DateFormatSymbolsProvider

    public abstract class DateFormatSymbolsProvider
    extends LocaleServiceProvider

An abstract class for service providers that provide instances of the `DateFormatSymbols` class.

Since:
  1.6

### Constructor Summary

Constructors
`protected` `DateFormatSymbolsProvider()` Sole constructor.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract DateFormatSymbols` `getInstance​(Locale locale)` Returns a new `DateFormatSymbols` instance for the specified locale.

### Methods declared in class java.util.spi.LocaleServiceProvider

`getAvailableLocales, isSupportedLocale`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateFormatSymbolsProvider

    protected DateFormatSymbolsProvider()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### getInstance

    public abstract DateFormatSymbols getInstance​(Locale locale)

Returns a new `DateFormatSymbols` instance for the specified locale.

Parameters:
  `locale` - the desired locale
Returns:
  a `DateFormatSymbols` instance.
Throws:
  `NullPointerException` - if `locale` is null
  `IllegalArgumentException` - if `locale` isn't one of the locales returned from `getAvailableLocales()`.
See Also:
  `DateFormatSymbols.getInstance(java.util.Locale)`